microsoft-foundry.rest.security.o-auth2-auth
Models
Get model asset credentials
POST
/models/{name}/versions/{version}/credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
查詢參數
api-version
string
必要
The API version to use for this operation.
標頭參數
Foundry-Features
enum
必要
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Models=V1Preview
路徑參數
name
string
必要
Name of the model.
version
string
必要
Version of the model.
要求本文
The credential request request body.
Content-Type: application/json
blobUri
string
必要
Blob URI of the model asset to fetch credentials for.
回覆
The request has succeeded.
主體
Content-Type: application/json
blobReference
BlobReference
必要
Blob reference details.
blobUri
string
必要
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
必要
ARM ID of the storage account to use.
credential
SasCredential
必要
SAS Credential definition
sasUri
string
必要
SAS uri
type
enum
必要
Type of credential
SAS
Request
POST /models/{name}/versions/{version}/credentials HTTP/1.1
回應
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json